Commit 611a04d4 authored by Michael Tokarev's avatar Michael Tokarev
Browse files

add ipxe-qemu to Suggests: qemu-system-misc qemu-system-arm qemu-system-mips...

add ipxe-qemu to Suggests: qemu-system-misc qemu-system-arm qemu-system-mips qemu-system-ppc qemu-system-sparc (#772127)
 Please enter the commit message for your changes. Lines starting
parent 8f39c865
......@@ -8,6 +8,11 @@ qemu (2.1+dfsg-10) UNRELEASED; urgency=medium
packages contains emulators using vgabios which is part of
seabios package (#772127). Suggests only for now, may promote
to Recommends or even Depends in the future.
* add ipxe-qemu to Suggests to qemu-system-misc, qemu-system-arm,
qemu-system-mips, qemu-system-ppc, qemu-system-sparc packages,
because these packages contains emulators using network boot
roms (#772127), in a similar way. Also suggests for now, may
be promoted to Recommends (but not Depends).
-- Michael Tokarev <mjt@tls.msk.ru> Fri, 05 Dec 2014 14:34:02 +0300
......
......@@ -203,7 +203,8 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7
Recommends: qemu-utils
Suggests: samba, vde2,
# alpha uses vgabios
seabios
# alpha m68k sh4 uses bootroms
seabios, ipxe-qemu
Provides: ${sysprovides:misc}
Breaks: qemu-system (<< 1.3.0+dfsg-5)
Replaces: qemu-system (<< 1.3.0+dfsg-5)
......@@ -228,7 +229,9 @@ Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7~)
Recommends: qemu-utils
Suggests: samba, vde2
Suggests: samba, vde2,
# aarch64 arm uses bootroms
ipxe-qemu
Provides: ${sysprovides:arm}
Breaks: qemu-system (<< 1.3.0+dfsg-5),
:ubuntu: qemu-common (<< 1.3.0+dfsg-5),
......@@ -259,8 +262,8 @@ Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7~)
Recommends: qemu-utils
Suggests: samba, vde2,
# all mips targets uses vgabios
seabios
# all mips targets uses vgabios and bootroms
seabios, ipxe-qemu
Provides: ${sysprovides:mips}
Breaks: qemu-system (<< 1.3.0+dfsg-5)
Replaces: qemu-system (<< 1.3.0+dfsg-5)
......@@ -285,8 +288,8 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7
# ubuntu can't Depend on openbios-ppc and openhackware as they're in universe
:debian: openbios-ppc (>= 1.1+svn1229), openhackware
Suggests: samba, vde2,
# ppc targets use vgabios-stdvga
seabios
# ppc targets use vgabios-stdvga and bootroms
seabios, ipxe-qemu
:ubuntu: openbios-ppc (>= 1.1+svn1229), openhackware
Recommends: qemu-utils
Provides: ${sysprovides:ppc}
......@@ -319,8 +322,8 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (>> 2.0.0+dfsg-7
:debian: openbios-sparc (>= 1.1+svn1229)
Recommends: qemu-utils
Suggests: samba, vde2,
# sparc64 uses vgabios-stdvga
seabios
# sparc64 uses vgabios-stdvga and bootroms
seabios, ipxe-qemu
Provides: ${sysprovides:sparc}
Breaks:
qemu-system (<< 1.3.0+dfsg-5),
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment